#include <iostream>

using namespace std;

int main() {
	long long n, l;
	long long r = 1;
	cin >> n >> l;
	
	long long niz[n];
	
	for(long long i = 0; i < n; i++) {
		cin >> niz[i];
	}
	
	for(long long i = 0; i < n; i++) {
		if(l >= niz[i]) {
			break;
		} else {
			r++;
		}
	}
	
	if(r == n+1) {
		cout << -1;
	} else {
		cout << r;
	}
	
	return 0;
}